<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
if(!defined('WB_PATH')) exit('Direct access to this file is not allowed');

if (!function_exists('__unserialize')) {
/*
	function __unserialize($sObject) {  // found in php manual :-)
		$__ret =preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'", $sObject );
		return unserialize($__ret);
	}
*/	
	function __unserialize($sObject) {
		$__ret = preg_replace_callback( '/s:([0-9]+):\"(.*?)\";/',
			function ($matches) { return "s:".strlen($matches[2]).':"'.$matches[2].'";'; },
			$sObject
		);
		return unserialize($__ret);
	}
}


require_once(WB_PATH.'/modules/multipage/languages/EN.php');
if(file_exists(WB_PATH.'/modules/multipage/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/multipage/languages/'.LANGUAGE.'.php');
}


// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_multipage WHERE section_id = '$section_id'";
$get_content = $database->query($query);
$content_rec = $get_content->fetchRow();
$pagetype = ($content_rec['page_type']);
$content = (htmlspecialchars($content_rec['content']));
$efields = __unserialize($content_rec['serialized']);

$query = "SELECT * FROM ".TABLE_PREFIX."mod_multipage_types WHERE page_type = '$pagetype'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$fields = $settings['fields'];

$query = "SELECT * FROM ".TABLE_PREFIX."mod_multipage_types";
$get_types = $database->query($query);

$docname = "wysiwyg$section_id";
$olist = "<select style=\"width:100%;\" name=\"pagetype\" onchange=\"if(!confirm('".$MPP['WARNSWITCH']."')) {document.$docname.reset();}else{document.$docname.submit();};\">";

while ($types = $get_types->fetchRow()) {
	$selected = ($pagetype == $types['page_type'] ? " selected":"");
	$olist .= "<option value=\"".$types['page_type']."\"".$selected.">".$types['name']."</option>";
}
$olist .= "</select>";


if(!isset($wysiwyg_editor_loaded)) {
	$wysiwyg_editor_loaded=true;

	if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
		function show_wysiwyg_editor($name,$id,$content,$width,$height) {
			echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
		}
	} else {
		$id_list=array();
		$entry='content'.$section_id;
		array_push($id_list,$entry);
		require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
	}
}
?>

<form enctype="multipart/form-data" name="wysiwyg<?php echo $section_id; ?>" action="<?php echo WB_URL; ?>/modules/multipage/save.php" method="post">

<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
<input type="hidden" name="efields" value="<?php echo $fields; ?>" />
<table cellpadding="2" cellspacing="0" border="0" width="100%" style="border: #CCC 1px solid; padding: 3px;">
<tr>
<td>
	<table cellpadding="2" cellspacing="0" border="0" width="99%" style="padding: 3px;">
	<tr style="background:#ffffff"><td><H2><?php echo $MPP['SELTYPE']; ?></H2></td><td align="right">
<?php if ($_SESSION['GROUP_ID'] == 1)  { //only allow admins to change the pagetype ?>
	<input type="button" value="<?php echo $MPP['EDITTYPE']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/multipage/pagetypes.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pagetype=<?php echo $pagetype; ?>';" style="width: 150px;" />
<?php } ?>	
	</td></tr>
	<tr><td width="150" nowrap="true"><?php echo $MPP['PAGETYPE']; ?>:</td><td><?php echo $olist; ?></td></tr>
	</table>
	<br/>
<table cellpadding="2" cellspacing="0" border="0" width="99%" style="padding: 3px;">
<tr style="background:#ffffff"><td colspan="2"><H2><?php echo $MPP['WYSIWYG']; ?></H2></td></tr>
<tr ><td>
<?php
show_wysiwyg_editor('content'.$section_id,'content'.$section_id,$content,'100%','350px');
?></td></tr>
</table>

<?php if ($fields !== "") { ?>
<table cellpadding="2" cellspacing="5" border="0" width="99%" style="padding: 3px;">
<tr style="background:#ffffff"><td colspan="2"><H2><?php echo $MPP['UDF_TITLE']; ?></H2></td></tr>
<?php
   $fieldArray = explode(",",$fields);
   foreach  ($fieldArray as $v => $k) {
   if (!isset($efields[$k])) $efields[$k] = "";
   ?><tr><td width="150" nowrap="true"><?php echo $k; ?>:</td><td><textarea cols="8" rows="2" style="width:100%;" name="f_<?php echo $k; ?>"><?php echo $efields[$k] ?></textarea>
   <!--<input style="width:99%;" size="100" type="text" name="f_<?php echo $k; ?>" value="<?php echo $efields[$k] ?>">--></td></tr><?php
   }
?>
</table>

<br />
<?php } ?>
<table cellpadding="0" cellspacing="0" border="0" width="100%" style="padding-bottom: 3px;">
<tr>
	<td align="left">
		<input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" />
	</td>
	<td align="right">
		</form>
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = 'index.php';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>

</form>
</td>
</tr>
</table>
<br />